{{/* 
    Publicatie Weergave iStandaard Estafette Model Bericht 

    Context: .Page

    HUGO-referenties / documentatie:
    - https://gohugo.io/hugo-pipes/resource-from-string/
    - Gebruikt $targetPath om de statisch gegenereerde bericht weergaves te scheiden
    - De js.Build @params-optie om de Meta-data van het het bericht in TypeScript toe te passen 

*/}}

{{ $bericht := .Params }}

{{ partial "istd/istd-title" $bericht.naam }}
{{ partial "istd/istd-description" $bericht.beschrijving }}
{{ partial "istd/berichten/bericht-xsd-info" $bericht }}

{{ partial "kroki/kroki-diagram-rendering" $bericht.naam }}
{{ $src := "js/pub-views/bericht-diagram.ts" }}
{{ $params := (dict 
    "bericht" $bericht
    "krokiServer" .Site.Params.Kroki.server
    "plantUml" .Site.Params.PlantUML  
) }}


{{ $tsSrc := `
import * as params from '@params';
import { buildPlantUmliStdBerichtCmsPreviewDiagram } from '../istd-plantuml-diagram';
import { buildKrokiUrl } from '../kroki';
console.log(params.bericht.naam);
const diagram = buildPlantUmliStdBerichtCmsPreviewDiagram(params.bericht);
const krokiUrl = buildKrokiUrl('plantuml', diagram);
const outputNode = document.getElementById(params.bericht.naam);
outputNode.innerHTML = '<object data="' + krokiUrl + '"></object>';
` }}

{{ $targetPath := (print "js/istd-bericht/" $bericht.naam "-diagram.js") | urlize }}
{{ $targetSrc := $tsSrc | resources.FromString $targetPath | js.Build (dict
    "minify" false
    "params" $params
) }}

<script src="{{ $targetSrc.Permalink }}"></script>